package cn.estsh.i3plus.pojo.form.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 数据对象
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2019-02-27 10:53
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="bf_data_object")
@Api(value="数据对象表",description = "用来存储动态对象的相关属性")
public class BfDataObjectRefer extends BaseBean {

    @Column(name="NAME")
    @ApiParam(value ="中文名称")
    private String objectName;

    @Column(name="TABLE_NAME")
    @ApiParam(value ="表名")
    private String tableName;

    @Column(name="is_view")
    @ApiParam(value ="是否视图",access = "判断是否是视图，如果不是视图，则是表名")
    //EnunmUtil.TRUE_OR_FALSE
    private int isView;
}
